import React, { ComponentType } from 'react';
import { ThemeOptions } from '../../components/theme/ThemeContext';
import { SxPalette } from './palette';
import { SxPseudoProps } from './pseudo';
import { SxSizing } from './sizing';
import { SxSpace } from './space';
import { SxTypography } from './typography';
declare type SxCallback = {
    [key: string]: (theme: ThemeOptions) => any;
};
export declare type SxStyleProps = React.CSSProperties | SxSpace | SxPalette | SxSizing | SxTypography | {
    shadow?: number | string;
};
export declare type SxProps = SxStyleProps | SxPseudoProps | SxCallback;
export declare type WithSxProps = {
    className?: string;
    sx?: SxProps;
    ref?: React.Ref<HTMLElement>;
};
export declare function withSx<TProps>(Component: ComponentType<TProps>): React.ForwardRefExoticComponent<React.PropsWithoutRef<TProps & WithSxProps> & React.RefAttributes<unknown>>;
export default withSx;
